package com.ibtp.kontor.comics.dal;

import com.ibtp.kontor.comics.entity.IssueEntity;

import java.util.Collection;
import java.util.List;

/**
 * Created by TPEETZ on 19.01.2015.
 */
interface IssueDao {
    public IssueEntity getById(Long id);

    public Collection<IssueEntity> findByIds(List<Long> ids);

    public Collection<IssueEntity> findByNumber(String number);

    public Collection<IssueEntity> findAll();

    public IssueEntity store(IssueEntity entity);

    public void delete(IssueEntity entity);
}
